import 'package:flutter/material.dart';

class InputDialog extends StatefulWidget {
  InputDialog({Key key}) : super(key: key);

  @override
  _InputDialogState createState() => _InputDialogState();
}

class _InputDialogState extends State<InputDialog> {
  TextEditingController editingController;

  @override
  void initState() {
    super.initState();
    editingController = TextEditingController();
  }

  @override
  Widget build(BuildContext context) {
    return AlertDialog(
      title: Text("Enter name"),
      titlePadding: EdgeInsets.symmetric(horizontal: 16, vertical: 12),
      contentPadding: EdgeInsets.symmetric(horizontal: 16, vertical: 0),
      content: TextFormField(
        decoration: InputDecoration(hintText: "OCG"),
        controller: editingController,
      ),
      actions: [
        FlatButton(
          onPressed: () {
            Navigator.of(context).pop();
          },
          child: Text("Cancel"),
        ),
        FlatButton(
            onPressed: () {
              Navigator.of(context).pop(editingController.text);
            },
            child: Text("Ok"))
      ],
    );
  }
}
